On 05/04/2012 05:45 PM, Martin Kosek wrote:
This one actually took me some time to track it down (details are in a
patch description). To check the result, simply build freeipa on Fedora
17 with "make rpms", install rpms on the machine and check Requires of
freeipa-admintools package:

$ rpm -qR freeipa-admintools

Before the patch, there was a requirement for "/bin/python" which
effectively blocked an update of python package until freeipa packages
were removed.

With this patch, there should be a correct requirement for
"/usr/bin/python" and python updates will work again - yay.

Our newest freeipa package on F-17 (2.2.0-1) is not affected, koji F-17
build root may have a different $PATH which translates "python" to
"/usr/bin/python" and not "/bin/python".

Martin


_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel
works as proposed, ACK

--
Regards,

Ondrej Hamada
FreeIPA team
jabber: oh...@jabbim.cz
IRC: ohamada

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to